#!/bin/ksh

#**************************************************************
# Author: Martial Mancip
# Contact: Martial.Mancip@ipsl.jussieu.fr
# $Date$
# $Author$
# $Revision$
# IPSL (2006)
#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
# History:
# Modification: JobType ( Protect output datas )
#
#**************************************************************

# bypass specific internationalization (for awk)
export LC_ALL="C"

# By default, all libIGCM_sys save functions will protect output datas (RUN execution mode) 
# other values : DEB(ug), DEV(elopment).
JobType=${JobType:=RUN}

echo
echo "===================================================="
echo "Where do we run ?"
uname -a
echo "===================================================="
echo


if [ X${JobType} = XDEB ] ; then
    echo "DEBUG mode : activation of 'set -vx' mode."
    set -vx
    DEBUG_debug=true
    DEBUG_sys=true
    echo "===================================================="
fi

case $( hostname -s ) in

    brodie*)
	echo "sys source brodie Nec SX8 lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_brodie.ksh;;

    vargas*)
        echo "sys source vargas IBM P6 lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_vargas.ksh;;

    ulam)
        echo "sys source ulam Intel Xeon lib."
        . ${libIGCM}/libIGCM_sys/libIGCM_sys_ulam.ksh;;

    mercure1?)
	echo "sys source mercure Nec SX8-R lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercurex8.ksh;;

    mercure2?)
	echo "sys source mercure Nec SX9 lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercurex9.ksh;;

    platine*)
	echo "sys source platine Intel IA-64 lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_platine.ksh;;

    mercure)
	echo "sys source mercure TX IA-64 lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercureTX.ksh;;

    cesium*)
	echo "sys source cesium Intel Xeon lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_cesium.ksh;;

    claude|nougaro|ghio|grebil|robin)
	echo "sys source LMD lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_claude.ksh;;

    calculo)
	echo "sys source calculo lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_calculo.ksh;;

    obelix*)
	echo "sys source obelix lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;

    *)
	echo "sys source default lib."
	. ${libIGCM}/libIGCM_sys/libIGCM_sys_default.ksh;;

esac
